Skip to content

Post a CRS persistable reference with wkt to get PROJ.4 notation

Request

Post a request containing a CRS persistable reference to get the PROJ.4 notation. The result can be used for populating the mapLarge CRS.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id.

Bodyapplication/jsonrequired
persistableReferencestringrequired

The CRS persitable reference to convert to PROJ.4 notation

Example:"{\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4326\"},\"type\":\"LBC\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_WGS_1984\",\"wkt\":\"GEOGCS[\\\"GCS_WGS_198
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/toProj4 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4326\"},\"type\":\"LBC\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_WGS_1984\",\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4326]]\"}"
  }'

Responses

Success

Bodyapplication/json
proj4stringrequired

The converted PROJ.4 Notation of input CRS Persistable Reference

Example:"+proj=utm +zone=31 +datum=WGS84 +units=m +no_defs"
Response
{ "proj4": "+proj=utm +zone=31 +datum=WGS84 +units=m +no_defs" }